Downloads:

Requirements:

.Net Framework 4.5 , Powershell 4 (part of Windows 8.1 and Windows 10)
Note: Software is mainly tested on Windows10 x64, but feel free to create and upload x86 versions.

Latest (5) repository changes:

Feel free to create and upload your favourite tool if you miss it in the Repository...

eMClient 7.1.30794.08/23/2017
GOG Galaxy 1.2.17.98/23/2017
ZetaResourceEditor 2.3.0.158/23/2017
AxCrypt 2.1.1534.08/23/2017
SmartFTP Client 9.0.2475.08/23/2017